<?PHP
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Free Web Based Training System                           |
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Plate-forme de téléformation gratuite et en open source  |
// +----------------------------------------------------------------------------|
// | Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>           |
// +----------------------------------------------------------------------------+
// |           Developer : Georges CALDEIRA <gcaldeira@anemalab.org>            |
// +----------------------------------------------------------------------------+
// |              Infos on project <http://anemalab.org/>                       |
// +----------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by       |
// | the Free Software Foundation; either version 2 of the License, or          |
// | (at your option) any later version.                                        |
// |                                                                            |
// | This program is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of             |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              |
// | GNU General Public License for more details.                               |
// |                                                                            |
// | You should have received a copy of the GNU General Public License          |
// | along with this program; if not, write to the Free Software                |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA   |
// +----------------------------------------------------------------------------+

/**
* Boucle principale des messages;
*
* @author		Georges Caldeira <gcaldeira@anemalab.org>
* @package		GaneshaMain
*/
	/**
	* include des fichiers + PAS de verification de la cnx
	*/
	$verif_connexion = false ;
	include_once("./anema.inc.php") ;
	
	$txtuser	 = (isset($HTTP_POST_VARS['txtuser'])?$HTTP_POST_VARS['txtuser']:'')		;
	$txtpassword = (isset($HTTP_POST_VARS['txtpassword'])?$HTTP_POST_VARS['txtpassword']:'');
	
	$connexion	 = (isset($HTTP_GET_VARS['connexion'])?$HTTP_GET_VARS['connexion']:0)		;
	$menu		 = (isset($HTTP_GET_VARS['menu'])?$HTTP_GET_VARS['menu']:'')				;
	$multigroupe = (isset($HTTP_GET_VARS['multigroupe'])?$HTTP_GET_VARS['multigroupe']:0)	;
	
	// SP1 : Correction bug nombre de connexion incremente a chaque rafraichissement.
	if ($txtuser!='' && $txtpassword!='') {
		$res = Login($txtuser,$txtpassword) ;
		if ( $gusertype == STAGIAIRE ) { // STAGIAIRE
			// On incremente le nombre de connexion et 
			// on se reconnecte uniquement avec la valeur 
			// de la connexion
			Header("Location: ".HTTP_GANESHA."index".$ext."?connexion=".$gconnexionid."&menu=0" );
			exit;
		}
		if ( $res > 0 ) {
			$connexion = $gconnexionid ;
		}
	}
	
	if ( !Init($connexion) ) {
		PageErreur(); 
		exit ()		;
	}
	
	if ( $menu == 0 ) {
		if ( $gusertype == STAGIAIRE ) { 
			// STAGIAIRE
			// On affiche la page des groupes pour le membre $guserid
			$nb = $ClsGroupe->InitList($guserid) ;
			if ( $nb > 1 ) {
				Header("Location: ".HTTP_COMMUN."p_multigroupe".$ext."?connexion=".$gconnexionid );
				exit;
			} elseif ( $nb==1 ) {
				$menu = 1 ;
			} else {
				PageErreur(); 
				exit;
			}
		}
	}
	
	if ( $multigroupe!=0 ) {
		if ( $gusertype == STAGIAIRE ) { 
			// STAGIAIRE
			// On met a jour le groupe courant
			$ClsMembre->SetGroupe($guserid,$multigroupe);
			Init($connexion);
		}
	}
	
	$menu = ($menu==''?1:$menu);
	
	switch($gusertype) {
	case STAGIAIRE :  // Stagiaire
			FrameSet("...::: Bienvenue dans Ganesha (Profil Stagiaire) :::...",
			HTTP_STAGIAIRE."index".$ext."?connexion=".$gconnexionid."&menu=".$menu."&newskin=".$newskin); 
			break;
	case ADMIN :  // Admin
	//		FrameSet("...::: Bienvenue dans Ganesha (Profil Admin) :::...",
			Header("location: ".HTTP_ADMIN.$PAGE_ADMIN[0]."?connexion=".$gconnexionid."&menu=".$menu);
			break;
	case TUTEUR :  // Tuteur
			switch ($menu) {
			case 4 : 
				$http = HTTP_CHAT."index".$ext."?connexion=".$gconnexionid ;
				break;
			case 6 : 
				$http = HTTP_COMMUN."p_question".$ext."?connexion=".$gconnexionid; 
				break;
			default : 
				$http = HTTP_TUTEUR."index".$ext."?connexion=".$gconnexionid."&groupe=".$groupe."&menu=".$menu ;
				break;
			}
			FrameSet("...::: Bienvenue dans Ganesha (Profil Tuteur) :::...",$http); 
			break;
	default : 
			PageErreur(); 
			break		;
	}

?>